petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoCreate

Creates a TAO solver

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoCreate(MPI_Comm comm, Tao *newtao)

Collective

### Input Parameter

comm -MPI communicator

### Output Parameter

newtao -the new Tao context

### Available methods include

| nls | - Newton's method with line search for unconstrained minimization
| ntr | - Newton's method with trust region for unconstrained minimization
| ntl | - Newton's method with trust region, line search for unconstrained minimization
| lmvm | - Limited memory variable metric method for unconstrained minimization
| cg | - Nonlinear conjugate gradient method for unconstrained minimization
| nm | - Nelder-Mead algorithm for derivate-free unconstrained minimization
| tron | - Newton Trust Region method for bound constrained minimization
| gpcg | - Newton Trust Region method for quadratic bound constrained minimization
| blmvm | - Limited memory variable metric method for bound constrained minimization
| lcl | - Linearly constrained Lagrangian method for pde-constrained minimization
| pounders | - Model-based algorithm for nonlinear least squares

### Options Database Keys

-tao_type -select which method TAO should use

### See Also

TaoSolve(), TaoDestroy()

### Level

beginner

### Location

src/tao/interface/taosolver.c

### Examples

src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html
src/tao/unconstrained/examples/tutorials/rosenbrock1f.F90.html
src/tao/constrained/examples/tutorials/maros.c.html
src/tao/constrained/examples/tutorials/toy.c.html

### Implementations

TaoCreate_BLMVM in src/tao/bound/impls/blmvm/blmvm.c
TaoCreate_BNCG in src/tao/bound/impls/bncg/bncg.c
TaoCreate_BNK in src/tao/bound/impls/bnk/bnk.c
TaoCreate_BNLS in src/tao/bound/impls/bnk/bnls.c
TaoCreate_BNTL in src/tao/bound/impls/bnk/bntl.c
TaoCreate_BNTR in src/tao/bound/impls/bnk/bntr.c
TaoCreate_BQNK in src/tao/bound/impls/bqnk/bqnk.c
TaoCreate_BQNKLS in src/tao/bound/impls/bqnk/bqnkls.c
TaoCreate_BQNKTL in src/tao/bound/impls/bqnk/bqnktl.c
TaoCreate_BQNKTR in src/tao/bound/impls/bqnk/bqnktr.c
TaoCreate_BQNLS in src/tao/bound/impls/bqnls/bqnls.c
TaoCreate_TRON in src/tao/bound/impls/tron/tron.c
TaoCreate_ASFLS in src/tao/complementarity/impls/asls/asfls.c
TaoCreate_ASILS in src/tao/complementarity/impls/asls/asils.c
TaoCreate_SSFLS in src/tao/complementarity/impls/ssls/ssfls.c
TaoCreate_SSILS in src/tao/complementarity/impls/ssls/ssils.c
TaoCreate_IPM in src/tao/constrained/impls/ipm/ipm.c
TaoCreate_BRGN in src/tao/leastsquares/impls/brgn/brgn.c
TaoCreate_POUNDERS in src/tao/leastsquares/impls/pounders/pounders.c
TaoCreate_LCL in src/tao/pde_constrained/impls/lcl/lcl.c
TaoCreate_BQPIP in src/tao/quadratic/impls/bqpip/bqpip.c
TaoCreate_GPCG in src/tao/quadratic/impls/gpcg/gpcg.c
TaoCreate_BMRM in src/tao/unconstrained/impls/bmrm/bmrm.c
TaoCreate_CG in src/tao/unconstrained/impls/cg/taocg.c
TaoCreate_LMVM in src/tao/unconstrained/impls/lmvm/lmvm.c
TaoCreate_NM in src/tao/unconstrained/impls/neldermead/neldermead.c
TaoCreate_NLS in src/tao/unconstrained/impls/nls/nls.c
TaoCreate_NTL in src/tao/unconstrained/impls/ntl/ntl.c
TaoCreate_NTR in src/tao/unconstrained/impls/ntr/ntr.c
TaoCreate_OWLQN in src/tao/unconstrained/impls/owlqn/owlqn.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages